Subject: [PATCH 2/3] KVM: ARM: Get rid of KVM_HPAGE_ defines

From: [email-masked] (Gleb Natapov)
Date: Sun, 25 Aug 2013 17:48:47 +0300

On Sun, Aug 25, 2013 at 03:29:17PM +0100, Peter Maydell wrote:
> On 25 August 2013 15:05, Gleb Natapov <[email-masked]> wrote:
> > (you will probably need them when you will implement
> > nested HYP mode :)).
> 
> Smiley noted, but this is pretty unlikely since it's not possible
> to lie to the guest about which mode it's in, so you can't make
> a guest think it's in Hyp mode.
> 
I suspected this, but forgot most that I read about Hyp mode by now.
Need to refresh my memory ASAP. Is it impossible even with a lot of
emulation? Can guest detect that it is not in a Hyp mode without
trapping into hypervisor?

--
			Gleb.